projects
/
git.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
56ce69f
)
Add example "git-tag-script" to show how to create signed tag objects.
author
Linus Torvalds
<torvalds@ppc970.osdl.org>
Mon, 25 Apr 2005 22:23:53 +0000
(15:23 -0700)
committer
Linus Torvalds
<torvalds@ppc970.osdl.org>
Mon, 25 Apr 2005 22:23:53 +0000
(15:23 -0700)
git-tag-script
[new file with mode: 0755]
patch
|
blob
diff --git a/git-tag-script
b/git-tag-script
new file mode 100755
(executable)
index 0000000..
233491b
--- /dev/null
+++ b/
git-tag-script
@@ -0,0
+1,8
@@
+#!/bin/sh
+object=${2:-$(cat .git/HEAD)}
+type=$(cat-file -t $object) || exit 1
+( echo -e "object $object\ntype $type\ntag $1\n"; cat ) > .tmp-tag
+rm -f .tmp-tag.asc
+gpg -bsa .tmp-tag && cat .tmp-tag.asc >> .tmp-tag
+git-mktag < .tmp-tag
+#rm .tmp-tag .tmp-tag.sig